Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6600 - ThinkPad laptop does not adjust date at EDT-to-EST boundary
Summary: ThinkPad laptop does not adjust date at EDT-to-EST boundary
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 15:36 UTC by Jay Turner
Modified: 2016-11-24 12:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-14 01:20:19 UTC


Attachments (Terms of Use)

Description Glen Foster 1999-11-01 15:36:52 UTC
My ThinkPad laptop didn't adjust to EST on Sunday 31-Oct.
Hilary Stokes also had the same problem on her ThinkPad
laptop.  My solution was "rdate -s lacrosse" and Hilary's
solution was to run timetool (as root) to change the date.
The bottom line here, however, is that gettimeofday() and
friends apparently doesn't work right on an IBM ThinkPad
laptop.

Comment 1 Cristian Gafton 2000-05-22 14:53:59 UTC
assign to jakub

Comment 2 Brent Fox 2002-06-05 04:44:25 UTC
Is this still a problem with the current release?

Comment 3 Alan Cox 2002-12-14 01:20:19 UTC
This is a hardware flaw on the PIIX Intel chipset believe it or not. summer time
adjustment if the last day in october is a sunday is broken in the rtc



Note You need to log in before you can comment on or make changes to this bug.